Bug 8975 - search results should say on order in staff client
Summary: search results should say on order in staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks: 10741
  Show dependency treegraph
 
Reported: 2012-10-26 18:21 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
results (138.69 KB, image/png)
2012-10-26 18:21 UTC, Nicole C. Engard
Details
Bug 8975 - search results should say on order in staff client (3.20 KB, patch)
2012-11-02 15:53 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8975 - search results should say on order in staff client (3.35 KB, patch)
2012-11-02 18:33 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-10-26 18:21:05 UTC
Created attachment 13084 [details]
results

When you have results in the staff client it has many statuses that show but not 'on order' - those items say available which is misleading.  See attached. Two of the available items are actually on order and have not for loan - on order statuses.
Comment 1 Nicole C. Engard 2012-10-26 19:37:34 UTC
This is in 3.8.x and master.
Comment 2 Owen Leonard 2012-11-02 15:53:20 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2012-11-02 18:04:26 UTC
I set  AllowHoldsOnDamagedItems  to don't allow and my bib with its only item marked damaged still shows the hold link - but if i click the hold link it says hold not normally allowed.  My one with a lost status does say 'no holds allowed' in the search results and the ordered items are not listed appropriately.

Nicole
Comment 4 Nicole C. Engard 2012-11-02 18:33:43 UTC
Created attachment 13237 [details] [review]
[SIGNED-OFF] Bug 8975 - search results should say on order in staff client

In order to allow holds on items with notforloan = -1, processing
of "unavailable" items in Search.pm was altered to exclude items
with notforloan < 0. (See Bug 2341: items marked 'on order' not
 reserveable from search results). Doing so meant that such items
were excluded from the list, in staff client search results, of
items which are unavailable.

This patch changes the logic of that processing so that items
with notforloan < 0 are considered unavailable, but can still
be placed on hold.

To test, edit a record with a single item and view that record
in search results. When the item is is on order (notforloan -1)
it should say so. The holds link should be INactive only if:

- item is withdrawn AND/OR
- item is lost AND/OR
- item is damaged (and AllowHoldsOnDamagedItems is off) AND/OR
- item is not for loan, with notforloan > 0

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

All tests pass (note that a reindex is required if changing item
statuses - which is why my first tests failed).
Comment 5 Nicole C. Engard 2012-11-02 18:34:34 UTC
[14:30]  <nengard> oleonard, one problem
[14:31]  <nengard> a damaged item can't be put on hold - but it can be checked out - at least there is no rule against it - but because of the preference to not allow holds it says that damaged items are unavailable
[14:32]  <oleonard> nengard: That makes sense, but it's outside the scope of the bug I think
Comment 6 Jonathan Druart 2012-11-19 13:27:58 UTC
The logic looks good to me.
Marked as Passed QA.
Comment 7 Jared Camins-Esakov 2012-11-20 12:49:32 UTC
This patch has been pushed to master.
Comment 8 Paul Poulain 2012-11-20 15:45:03 UTC
Patch pushed to branch 3.10.x
Comment 9 Chris Cormack 2013-04-23 10:14:52 UTC
Released in 3.10.0